{% load_banners position: position %}

{% if loaded_banners.size > 0 %}
  <section class="section banner-linha container" data-banner-linha>
    <div class="swiper">
      <div class="swiper-wrapper">
        {% for banner in loaded_banners %}
          <div class="swiper-slide">

            {% assign imageless = '-imageless' %}
            {% if banner.file_url != blank %}
              {% assign imageless = '' %}
            {% endif %}

            {% assign show_cta = false %}
            {% if banner.subtitle != blank and banner.url != blank %}
              {% assign show_cta = true %}
            {% endif %}

            {% if banner.url != blank %}
              <a aria-label="Ir para {{ banner.title }}" class="category-item {{ imageless }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
            {% else %}
              <div class="category-item {{ imageless }}">
            {% endif %}
                {% if banner.file_url != blank %}
                  {% capture data_srcset %}
                    {{ banner.file_url | resize: '300x' }}
                    300w,
                    {{ banner.file_url | resize: '330x' }}
                    330w,
                    {{ banner.file_url | resize: '420x' }}
                    420w,
                    {{ banner.file_url | resize: '450x' }}
                    450w,
                    {{ banner.file_url | resize: '500x' }}
                    500w,
                    {{ banner.file_url | resize: '600x' }}
                    600w,
                  {% endcapture %}

                  {% capture data_sizes %}
                    (max-width: 375px) 300px,
                    (max-width: 425px) 330px,
                    (max-width: 767px) 600px,
                    (max-width: 991px) 450px,
                    (max-width: 1280px) 420px,
                    (min-width: 1440px) 500px,
                  {% endcapture %}

                  <figure class="image -custom">
                    <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
                  </figure>
                {% endif %}

                {% if banner.description != blank or show_cta %}
                  <div class="text">
                    {% if banner.description != blank %}
                      {{ banner.description | replace: '<h1', '<h2' | replace: '<h3', '<h3 class="upper-title"'| replace: '<h2', '<h2 class="title"' | replace: '<p', '<p class="description"' }}
                    {% endif %}

                    {% if show_cta %}
                      <button aria-label="{{ banner.subtitle }}" class="button-default -outlined">
                        {{ banner.subtitle }}
                      </button>
                    {% endif %}
                  </div>
                {% endif %}

            {% if banner.url != blank %}
              </a>
            {% else %}
              </div>
            {% endif %}
          </div>
        {% endfor %}
      </div>
    </div>
    <div class="swiper-pagination"></div>
  </section>
{% endif %}
